SELECT Код_типа_сооружения INTO #TmpTable FROM Справочник_типов_сооружений
SET IDENTITY_INSERT Справочник_типов_сооружений ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_сооружения = 1) INSERT INTO Справочник_типов_сооружений (Код_типа_сооружения,Описание) VALUES (1,'Здание ЗРУ')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_сооружения = 2) INSERT INTO Справочник_типов_сооружений (Код_типа_сооружения,Описание) VALUES (2,'Здание ДС подстанции')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_сооружения = 3) INSERT INTO Справочник_типов_сооружений (Код_типа_сооружения,Описание) VALUES (3,'Складское помещение')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_сооружения = 4) INSERT INTO Справочник_типов_сооружений (Код_типа_сооружения,Описание) VALUES (4,'Гараж')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_сооружения = 5) INSERT INTO Справочник_типов_сооружений (Код_типа_сооружения,Описание) VALUES (5,'Цех')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_сооружения = 6) INSERT INTO Справочник_типов_сооружений (Код_типа_сооружения,Описание) VALUES (6,'Бытовые помещения')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_сооружения = 10) INSERT INTO Справочник_типов_сооружений (Код_типа_сооружения,Описание) VALUES (10,'Здание диспетчерской службы')

SET IDENTITY_INSERT Справочник_типов_сооружений OFF
DROP TABLE #TmpTable
